package com.hoolai.access.demo;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class JavaTest {

    public static void main(String[] args) {
        String message = "欢迎使用《重构官网》，在您使用前，请认真阅读《用户服务协议》和《隐私政策》《隐私政策2》《隐私政策3》，以了解我们的服";
        message = message.replace(message.substring(0, message.indexOf("，") + 1), "");

        Pattern pattern = Pattern.compile("《(.*?)》");
        Matcher matcher = pattern.matcher(message);
        try{
            String[] strs = {"11", "22", "33"};
            int i = 0;
            while(matcher.find()){
                System.out.println(matcher.group());
                System.out.println(strs[i]);
                System.out.println("==========");
                i++;
            }
        }catch (Exception e){
            e.printStackTrace();
        }

//        String[] temp = message.split("《");
//        for(int i = 0; i < temp.length; i++){
//            if (i > 0 && i < temp.length){
//                String str = temp[i].split("》")[0];
//                System.out.println(str);
//                System.out.println(message.substring(message.indexOf(str) - 1, message.indexOf(str) + str.length() + 1));
//                System.out.println("==========");
//            }
//        }
//        System.out.println(b.length);
    }
}
